Exemple OAuth REST
Cet exemple montre comment authentifier une demande REST entrante à l’aide d’OAuth.
Dans cet exemple, le jeton OAuth a une client_id de a329c4515612210071a5e0c298ee2be8 et une client_secretde password22.
Obtention d’un jeton d’accès
curl -d "grant_type=password&client_id=a329c4515612210071a5e0c298ee2be8&client_secret=password22&username=RESTUser&password=RESTUserPassword" https://<instance>.service-now.com/oauth_token.do
Exemple de réponse de jeton
{
"scope": "useraccount",
"token_type": "Bearer",
"expires_in": 1799,
"refresh_token": "jZPdkEVrWvtMjrspldNjIS0uWM4D7QV9mgmcQXDVo5Qa_GVvmdR6NOp7OM038EHJnd6nZpWocFer1NcJz4zwdw",
"access_token": "2wRlsRCT2SYjCCJP91kwo2EFzj5qg4O3I3aC09e0-0hz6Ib3YK7If-LMiNorNuglfqbkL4AfkYC92KYHUCcbpQ"
}
Demande REST avec jeton OAuth
curl -H "Accept:application/json" -H "Authorization:Bearer 2wRlsRCT2SYjCCJP91kwo2EFzj5qg4O3I3aC09e0-0hz6Ib3YK7If-LMiNorNuglfqbkL4AfkYC92KYHUCcbpQ" "https://<instance>.service-now.com/api/now/table/incident